
%global pypi_name keras-preprocessing

Name:           python-%{pypi_name}
Version:        1.0.5
Release:        2.1%{?dist}
Summary:        Data preprocessing and augmentation package for deep learning models
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/keras-team/keras-preprocessing
Source0:        https://files.pythonhosted.org/packages/source/K/Keras_Preprocessing/keras_preprocessing-%{version}.tar.gz
Source10:       https://raw.githubusercontent.com/keras-team/keras-preprocessing/%{version}/LICENSE
BuildArch:      noarch

BuildRequires:	fdupes
BuildRequires:	python-rpm-macros
%if 0%{?fedora}
BuildRequires:  python3-devel
BuildRequires:  python2-devel
BuildRequires:  python3-rpm-macros
BuildRequires:	python2dist(numpy) >= 1.9.1
BuildRequires:	python2dist(six) >= 1.9.0
BuildRequires:	python2dist(setuptools)
BuildRequires:  python2dist(pytest-cov)
BuildRequires:  python2dist(pytest-xdist)
BuildRequires:  python2dist(pytest)

BuildRequires:	python3dist(numpy) >= 1.9.1
BuildRequires:	python3dist(six) >= 1.9.0
BuildRequires:	python3dist(pytest-cov)
BuildRequires:	python3dist(pytest-xdist)
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(setuptools)
%else
BuildRequires:  python-setuptools
#BuildRequires:  python-scipy >= 0.14
BuildRequires:  python-numpy >= 1.9.1
BuildRequires:  python-pytest-cov
BuildRequires:  python-pytest-xdist
BuildRequires:  python-pytest
BuildRequires:  python-six >= 1.9.0
# /SECTION
%endif

%description
Keras Preprocessing is the data preprocessing and data augmentation
module of the Keras deep learning library. It provides utilities for
working with image data, text data, and sequence data.

%if 0%{?fedora}
%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python2dist(enum34)
Requires:       python2dist(six)
Requires:       python2dist(numpy) >= 1.9.1
%description -n python2-%{pypi_name}
 Abseil Python Common LibrariesThis repository is a collection of Python
library code for building Python applications. The code is collected from
Google's own Python code base, and has been extensively tested and used in
production. Features* Simple application startup * Distributed commandline
flags system * Custom logging module with additional features * Testing
utilities Getting Started...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)
Requires:       python3dist(numpy) >= 1.9.1
%description -n python3-%{pypi_name}
 Abseil Python Common LibrariesThis repository is a collection of Python
library code for building Python applications. The code is collected from
Google's own Python code base, and has been extensively tested and used in
production. Features* Simple application startup * Distributed commandline
flags system * Custom logging module with additional features * Testing
utilities Getting Started...
%else
%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python-enum34
Requires:       python2-six
Requires:       python2-numpy >= 1.9.1
%description -n python2-%{pypi_name}
 Abseil Python Common LibrariesThis repository is a collection of Python
library code for building Python applications. The code is collected from
Google's own Python code base, and has been extensively tested and used in
production. Features* Simple application startup * Distributed commandline
flags system * Custom logging module with additional features * Testing
utilities Getting Started...
%endif

%prep
%setup -q -n keras_preprocessing-%{version}
cp %{SOURCE10} .

%build
%py2_build
%if 0%{?fedora}
%py3_build
%endif

%install
rm -rf %{buildroot}
%py2_install
%if 0%{?fedora}
%py3_install
%endif

%files -n python2-%{pypi_name}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%if 0%{?fedora}
%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
* Sat Mar 02 2019 Ruslan Pisarev <ruslan@rpisarev.org.ua> - 1.0.5-2
- Ported spec from OpenSuse


* Wed Nov 14 2018 Todd R <toddrme2178@gmail.com>
- Initial version
